Core - Bug # 49055

Status: Resolved Priority: Should have
Author: Martin Clewing Category: Backend API
Created: 2013-06-12 Assigned To:

Updated: 2014-07-08 Due date:

TYPO3 Version: 4.7

PHP Version: 53

Complexity:

Is Regression:

Sprint Focus:

Subject: colPos gets messed up when moving content element to top position in backend grid

Description

When moving content elements to the top position of a column (grid) by clicking the triangle pointing to the top they are moved into

different columns as colPos changes.

Checked in two different Projects, appears in 4.7.12, NOT in 4.7.10.

Related issues:
related to Core - Bug # 48939: Moving a content down moves it in another column Resolved
related to Core - Bug # 60199: Page module: tt_content records are not editable Resolved

2013-06-07
2014-07-09

Associated revisions

Revision b576e64e - 2014-07-08 10:33 - Nicole Cordes

[BUGFIX] Movements pollute colPos value of content elements

Due to commit [148ca1b023226f2f99417b3baf238b72346e721f the information
concerning previous and next content elements in one row is messed up.
This patch helps to build information which depends on colPos again and

prevents records being moved to another column.

Resolves: #48939

Resolves: #49055

Releases: 6.2, 6.1, 6.0, 4.7, 4.5

Change-Id: 13a15321ee11a1f7d96b58b8b7a5ab14098664b22
Reviewed-on: https://review.typo3.0rg/25001

Reviewed-by: Oliver Hader

Tested-by: Oliver Hader

Revision f746410a - 2014-07-08 11:15 - Nicole Cordes

[BUGFIX] Movements pollute colPos value of content elements

Due to commit 1148ca1b023226f2f99417b3baf238b72346e721f the information
concerning previous and next content elements in one row is messed up.

This patch helps to build information which depends on colPos again and

prevents records being moved to another column.

Resolves: #48939
https://review.typo3.org/25001

Resolves: #49055

Releases: 6.2, 6.1, 6.0, 4.7, 4.5

Change-Id: I13a15321ee11a1f7d96b58b8b7a5ab14098664b22
Reviewed-on: https:/review.typo3.org/31492

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision b1c86f2a - 2014-07-08 11:16 - Nicole Cordes

[BUGFIX] Movements pollute colPos value of content elements

Due to commit 1148ca1b023226f2f99417b3baf238b72346e721f the information
concerning previous and next content elements in one row is messed up.
This patch helps to build information which depends on colPos again and

prevents records being moved to another column.

Resolves: #48939

Resolves: #49055

Releases: 6.2, 6.1, 6.0, 4.7, 4.5

Change-Id: I13a15321ee11a1f7d96b58b8b7a5ab14098664b22
Reviewed-on: https://review.typo3.org/31493

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision c4095136 - 2014-07-08 11:16 - Nicole Cordes

[BUGFIX] Movements pollute colPos value of content elements

Due to commit 1148ca1b023226f2f99417b3baf238b72346e721f the information
concerning previous and next content elements in one row is messed up.
This patch helps to build information which depends on colPos again and

prevents records being moved to another column.

Resolves: #48939

Resolves: #49055

Releases: 6.2, 6.1, 6.0, 4.7, 4.5

Change-Id: I13a15321ee11a1f7d96b58b8b7a5ab14098664b22
Reviewed-on: https://review.typo3.org/31495

Reviewed-by: Oliver Hader

Tested-by: Oliver Hader

Revision ebdd15ea - 2014-07-08 11:19 - Nicole Cordes

[BUGFIX] Movements pollute colPos value of content elements

Due to commit 1148ca1b023226f2f99417b3baf238b72346e721f the information
concerning previous and next content elements in one row is messed up.

This patch helps to build information which depends on colPos again and

prevents records being moved to another column.
https://review.typo3.org/31492
https://review.typo3.org/31493
https://review.typo3.org/31495

Resolves: #48939

Resolves: #49055

Releases: 6.2, 6.1, 6.0, 4.7, 4.5

Change-Id: I13a15321ee11a1f7d96b58b8b7a5ab14098664b22
Reviewed-on: https://review.typo3.org/31494

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision f9d05d26 - 2014-07-08 11:34 - Nicole Cordes

[BUGFIX] Movements pollute colPos value of content elements

Due to commit 1148ca1b023226f2f99417b3baf238b72346e721f the information
concerning previous and next content elements in one row is messed up.
This patch helps to build information which depends on colPos again and

prevents records being moved to another column.

Resolves: #48939

Resolves: #49055

Releases: 6.2, 6.1, 6.0, 4.7, 4.5

Change-Id: I13a15321ee11a1f7d96b58b8b7a5ab14098664b22
Reviewed-on: https://review.typo3.org/31493

Reviewed-by: Oliver Hader

Tested-by: Oliver Hader

(cherry picked from commit b1c86f2aaf5aae73bcf194973dcf6c4eab61a9b8)
Reviewed-on: https://review.typo3.org/31497

Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History

#1 - 2013-06-12 13:10 - Martin Clewing

This Behaviour also appears without using specific Backend-Layouts.

#2 - 2013-10-25 10:22 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/25001

#3 - 2013-10-25 10:45 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/25001

#4 - 2013-10-25 11:46 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/25001

#5 - 2014-07-08 09:54 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/25001

#6 - 2014-07-08 10:37 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/31492

#7 - 2014-07-08 10:45 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/31493

#8 - 2014-07-08 11:09 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-5 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/31494

#9 - 2014-07-08 11:13 - Gerrit Code Review

Patch set 2 for branch TYPO3_4-5 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/31494

#10 - 2014-07-08 11:14 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-7 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/31495

#11 - 2014-07-08 11:30 - Nicole Cordes
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ebdd15ea62115329eb324ac29e5400e5806c01bf.

#12 - 2014-07-08 11:33 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-0 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/31497

#13 - 2014-07-08 12:30 - Nicole Cordes
- Status changed from Under Review to Resolved

Applied in changeset commit:f9d05d26a33142354442ab3d8d0fa3da2b874c8.
